# ../addons/eventscripts/gungame/scripts/custom/gg_cheap_equip/gg_cheap_equip_config.py

# ============================================================================
# >> IMPORTS
# ============================================================================
# EventScripts Imports
import es
import cfglib

# GunGame Imports
from gungame51.core.cfg import generate_header

# ============================================================================
# >> GLOBAL VARIABLES
# ============================================================================
config = cfglib.AddonCFG('%s/cfg/' % es.ServerVar('eventscripts_gamedir') +
    'gungame51/custom_addon_configs/gg_cheap_equip.cfg')
        
# ============================================================================
# >> LOAD & UNLOAD
# ============================================================================
def load():
    generate_header(config)

    # Cheap Equip
    config.text('')
    config.text('='*76)
    config.text('>> CHEAP EQUIP')
    config.text('='*76)
    config.text('Description:')
    config.text('   Allows players to instantly re-equip themselves with ' +
                'their level\'s')
    config.text('   weapon.')
    config.text('Options:')
    config.text('   0 = (Disabled)')
    config.text('   1 = (Enabled)')
    config.text('Default Value: 1')
    config.cvar('gg_cheap_equip', 1, 'Enables/Disables ' +
                'gg_cheap_equip.').addFlag('notify')
    config.text('')

    # Cheap Equip Command
    config.text('')
    config.text('='*76)
    config.text('>> CHEAP EQUIP COMMAND')
    config.text('='*76)
    config.text('Description:')
    config.text('   The say command used to re-equip players.')
    config.text('Default Value: !equip')
    config.cvar('gg_cheap_equip_command', '!equip', 'The say command used to' +
                ' re-equip players.')

    # Cheap Equip Uses
    config.text('')
    config.text('='*76)
    config.text('>> CHEAP EQUIP USES')
    config.text('='*76)
    config.text('Description:')
    config.text('   The number of times players can use gg_cheap_equip per ' +
                'life.')
    config.text('Options:')
    config.text('   0 = (Disabled) Unlimited uses.')
    config.text('   # = (Enabled) # of uses per life.')
    config.text('Default Value: 0')
    config.cvar('gg_cheap_equip_uses', 0, 'The number of times players can' +
                ' use gg_cheap_equip per life.')

    # Cheap Equip Exceptions
    config.text('')
    config.text('='*76)
    config.text('>> CHEAP EQUIP EXCEPTIONS')
    config.text('='*76)
    config.text('Description:')
    config.text('   Do not allow gg_cheap_equip to be used by players on ' +
                'these weapons.')
    config.text('Options:')
    config.text('   0 = No exceptions.')
    config.text('   weapon = Do not equip for this weapon.')
    config.text('   weapon,weapon,weapon = Do not equip for all of these ' +
                'weapons.')
    config.text('Default Value: hegrenade,knife')
    config.cvar('gg_cheap_equip_exceptions', 'hegrenade,knife', 'Do not ' +
                'allow gg_cheap_equip to be used by players on these weapons.')

    config.write()
    es.dbgmsg(0, '\tgg_cheap_equip.cfg')

def unload():
    global config

    # Remove the "notify" flags as set by addFlag('notify')
    for cvar in config.getCvars().keys():
        es.flags('remove', 'notify', cvar)
    
    # Delete the cfglib.AddonCFG instance
    del config